var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var sequence_exports = {};
__export(sequence_exports, {
  sequence: () => sequence
});
module.exports = __toCommonJS(sequence_exports);
var import_crypto = require("crypto");
const sequence = {
  options: (options) => {
    const defaults = {
      type: "sequence",
      uiSchema: {
        type: "string",
        "x-component": "Input",
        "x-component-props": {}
      },
      patterns: [
        {
          type: "integer",
          options: {
            digits: 1,
            start: 0,
            key: (0, import_crypto.randomInt)(1 << 16),
            cycle: "0 0 * * *"
          }
        }
      ]
    };
    if (options.patterns) {
      defaults.patterns = options.patterns.map((p) => {
        if (p.type === "integer") {
          p.options.key = (0, import_crypto.randomInt)(1 << 16);
        }
        return p;
      });
      delete options.patterns;
    }
    return defaults;
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  sequence
});
